
from apscheduler.executors.pool import ThreadPoolExecutor, ProcessPoolExecutor
from apscheduler.schedulers.background import BackgroundScheduler
import random

def random_task():
    def random_function():
        # Generate a random number and print it
        number = random.randint(1, 100)
        print(f"Random number generated: {number}")
    
    # Create a scheduler instance
    scheduler = BackgroundScheduler()
    
    # Add the random function to the scheduler with a random interval
    scheduler.add_job(random_function, 'interval', seconds=random.randint(1, 10))
    
    # Start the scheduler
    scheduler.start()
    
    # Let the scheduler run for a random number of seconds
    import time
    time.sleep(random.randint(5, 15))
    
    # Stop the scheduler
    scheduler.shutdown()



